package rpc

type LuxRpcType int

const (
	LuxRpcTypeRoot  = 0
	LuxRpcTypeQuery = 1
)

type LuxRpcController interface {
	GetRpcName() string
	Register(rpc *LuxRpcServer)
	Handle(request LuxRpcRequest, rpcType LuxRpcType) (LuxRpcResponse, LuxRpcError, bool)
}
